Errors upgrading ITSM to 5.0.1

Moderator: crythias

Post Reply
ddio
OTRS newbie
Posts: 6
Joined: 15 Jan 2015, 17:19
OTRS Version?: OTRS 4.0

Errors upgrading ITSM to 5.0.1

Post by ddio » 05 Nov 2015, 16:47

Hi,

I wanted to upgrade from 4.0.9 to 5.0.1, so I cloned the virtual machine with rsync to another one.
I have two packages which do not have support for OTRS 5 yet, so I removed made config from sysconfig from these packages and then deinstalled them.
The two packages are Znuny4OTRS-ExternalURLJump and Znuny4OTRS-Repo.
Beside this two I have the ITSM Package installed.

After that I followed the instructions from https://otrs.github.io/doc/manual/admin ... ading.html to upgrade.
I upgraded the ITSM from cli, but it gave me some errors: http://pastebin.com/JL3E9SvF ( I removed the notices for better viewing ).
Now I get an error 500 from the webinterface, in the apache logs I find the following error:
[Thu Nov 5 15:22:46 2015] index.pl: Got no ConfigObject! at /opt/otrs/bin/cgi-bin/../../Kernel/Output/HTML/NotificationSchedulerCheck.pm line 30.
Which indicates that an packages does not have been correctly upgraded.
What can I do to get the upgrade working?

Thanks in advance!

ddio
OTRS newbie
Posts: 6
Joined: 15 Jan 2015, 17:19
OTRS Version?: OTRS 4.0

Re: Errors upgrading ITSM to 5.0.1

Post by ddio » 09 Nov 2015, 12:26

I wanted to be extra smart, by not deleting the directory and only syncing the content of 5.0.1 to my otrs directory(so I don't have to copy config files and self written webapi again).

But because of that I didn't noticed that otrs.PackageManager does not exist anymore infavor of otrs.Console.pl,so I tried to upgrade an OTRS 5 Package with the OTRS 4 Update process, no wonder thats not working...

With otrs.Console.pl it did work, but it would be useful if the upgrade documentation at otrs would mention that...

RStraub
OTRS guru
Posts: 2062
Joined: 13 Mar 2014, 09:16
OTRS Version?: 5.0.14
Real Name: Rolf Straub

Re: Errors upgrading ITSM to 5.0.1

Post by RStraub » 09 Nov 2015, 12:29

So your problem is solved?

Btw, the Znuny Repo is available for 5.x
Currently using: OTRS 5.0.14 -- MariaDB -- Ubuntu 16 LTS

swo
OTRS newbie
Posts: 1
Joined: 08 Dec 2015, 13:12
OTRS Version?: 5.0.4-01
Real Name: Sebastian W.

Re: Errors upgrading ITSM to 5.0.1

Post by swo » 08 Dec 2015, 13:26

I have the same problem after upgrading from OTRS 4.0.11 to 5.0.4-01 (backup on production machine an restore on test machine via otrs backup/restore scripts done before upgrade).

Login via Web is not possible due to "500 Internal Server Error", this is the error message in the Apache log:

Code: Select all

[Tue Dec 08 12:07:22.773530 2015] [:error] [pid 9567] [Tue Dec  8 12:07:22 2015] -e: Got no ConfigObject! at /opt/otrs//Kernel/Output/HTML/NotificationSchedulerCheck.pm line 30.\n
Before the upgrade I deleted all packages with the package manage to be safe.
[edit]ITSM module is not installed, just HelpDesk[/edit]

Any ideas?

Thanks,
Sebastian

Zawisza
OTRS newbie
Posts: 3
Joined: 10 Dec 2015, 23:18
OTRS Version?: 5.0.4

Re: Errors upgrading ITSM to 5.0.1 Internal Server Error

Post by Zawisza » 10 Dec 2015, 23:34

Did someone resolve this issues:
After login:
Internal Server Error

Information in
/var/log/apache2/
[:error] [pid 2003:tid 140033734452992] [Thu Dec 10 22:12:41 2015] -e: Got no ConfigObject! at /opt/otrs//Kernel/Output/HTML/NotificationSchedulerCheck.pm line 30.\n


otrs 5x + itsm 5.0.4

Regards

Post Reply